<?php

namespace Modules\Admin\Config\ImportedOrders\Services;

use \App\Mvc\View\Utils\Types\ListingColumns;
use \App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = ['50'];

	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
			)
			->append(
				ListingColumn::create('externalServiceCode')
			)
			->append(
				ListingColumn::create('tinaService')
			)
			->append(
				ListingColumn::create('lastUpdateTime')
					->setSortable('DESC')
					->setType('datetime')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
